Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class StateVariableAllowedValueRange

    java.lang.Object
      org.teleal.cling.model.meta.StateVariableAllowedValueRange

All Implemented Interfaces:
  Validatable

    public class StateVariableAllowedValueRange

extends Object
implements Validatable

Integrity rule for a state variable, restricting its values to a range with steps.

TODO: The question here is: Are they crazy enough to use this for !integer (e.g. floating point) numbers?

Author:
  Christian Bauer

Constructor Summary
`StateVariableAllowedValueRange(long minimum, long maximum)`
`StateVariableAllowedValueRange(long minimum, long maximum, long step)`

Method Summary
`long` | `getMaximum()`
`long` | `getMinimum()`
`long` | `getStep()`
`boolean` | `isInRange(long value)`
`String` | `toString()`
`List<ValidationError>` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateVariableAllowedValueRange

    public StateVariableAllowedValueRange(long minimum,
                                          long maximum)

### StateVariableAllowedValueRange

    public StateVariableAllowedValueRange(long minimum,
                                          long maximum,
                                          long step)

Method Detail

### getMinimum

    public long getMinimum()

### getMaximum

    public long getMaximum()

### getStep

    public long getStep()

### isInRange

    public boolean isInRange(long value)

### validate

    public List<ValidationError> validate()

  Specified by:
    `validate` in interface `Validatable`
  Returns:
    An empty `List` if all rules validated properly, otherwise, the detected errors.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.